commit:     9031fa6c63bfc91420dabc87e4e40c49541247e3
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sun May 10 14:26:46 2015 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun May 10 14:26:50 2015 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=9031fa6c

remove outdated uwsgi ebuild

 www-servers/uwsgi/Manifest                         |  15 -
 www-servers/uwsgi/files/1.1.2-threaded-php.patch   |  40 ---
 .../uwsgi/files/1.2.6-fixed-typecasting.patch      |  21 --
 www-servers/uwsgi/files/42_mod_uwsgi-r1.conf       |   9 -
 www-servers/uwsgi/files/42_mod_uwsgi.conf          |   7 -
 .../uwsgi/files/uwsgi-1.0.2.1-no-werror.patch      |  11 -
 www-servers/uwsgi/files/uwsgi.confd                |  47 ---
 www-servers/uwsgi/files/uwsgi.confd-r1             |  53 ---
 www-servers/uwsgi/files/uwsgi.confd-r3             |  63 ----
 www-servers/uwsgi/files/uwsgi.initd                | 109 ------
 www-servers/uwsgi/files/uwsgi.initd-r1             | 138 --------
 www-servers/uwsgi/files/uwsgi.initd-r2             | 142 --------
 www-servers/uwsgi/files/uwsgi.initd-r3             | 144 --------
 www-servers/uwsgi/metadata.xml                     |  26 --
 www-servers/uwsgi/uwsgi-2.0.ebuild                 | 367 ---------------------
 15 files changed, 1192 deletions(-)

diff --git a/www-servers/uwsgi/Manifest b/www-servers/uwsgi/Manifest
deleted file mode 100644
index 21c927a..0000000
--- a/www-servers/uwsgi/Manifest
+++ /dev/null
@@ -1,15 +0,0 @@
-AUX 1.1.2-threaded-php.patch 1098 SHA256 
e5f03fcdf2ebf7d2867b21e640f2c44f23da169108b2ea964e96fea44152d49b SHA512 
d213c827710b75c1e4e1a1ad657515a7d2cacf02fa1f2f309d5cf986b3650ea20529077e2d2df5a22ed6edf60e43e755378ec6ea556c43c844cf534552239d75
 WHIRLPOOL 
1b0e42b83aa45a3bb17edaf4f9d7b260bc9dae8d7e8f06a38c97045361e64ddd9e774a1df1244e521c7973b27d27d40cbca4d8d2b16d0f9765ca2daa00cc3be8
-AUX 1.2.6-fixed-typecasting.patch 740 SHA256 
491e9b4e6c7af6bdc38224c5b54ed7ffe86e729f4e0ae4ce762e0b4fbe4a43fa SHA512 
e49f905b75c8d859aaf193944f2d563143c4e8f17563c2e924d743f55a2a20d54e09f8f91fe1243aa25ac21748e5bd8180b5f2571b00827322d1bf5e49f78442
 WHIRLPOOL 
785e60e111efb63d02ef2ba574acf7a0cfb1d72667584292577247def67e5d3a1c8d047f4592f71301558f39f438a782a58c2629bf1c829e00b0471c5042641d
-AUX 42_mod_uwsgi-r1.conf 248 SHA256 
40ef0a3916eba8f1a87828911571e9d8bf838f38f050d67df1662aca11ba6c91 SHA512 
84babaa9aa5cc1a52235f1b4febe3d9dd1a90e7e28c54499d78219727a222e2c2f4db001d898e0fdc46718ea582ce3fc98d0fbbf94b1730f4a139555225b4538
 WHIRLPOOL 
d96ef19fce89fbb36e1bc7701b2fb7424945f5da9d7eee071de74c9975463da9ba5be0a1a855e75c39705317ce0eef5116e7733d74091bfd984d3c1f189edea3
-AUX 42_mod_uwsgi.conf 159 SHA256 
b759712baa7b8abab2ffd56c3cbc970cb9189ef1efa3f3aa154a963dc67ba861 SHA512 
14eb8d58f814657da9d28215d4096373a26e5bdd9e3953bd37dc6008f42b04ca99ac5aa552bec36d1d8503e7ae54c78fcc00c1f6fe9d6daf983764bae07b802f
 WHIRLPOOL 
ec352b176c89441532378446cb909b3383054afbbee5d4f24c801eb5716d1143737c098bd25be46aa4399e54937c6b786fdca3e0343b0b4c91442456ba565f79
-AUX uwsgi-1.0.2.1-no-werror.patch 567 SHA256 
64ee1684a12ea64b6b6892209c77863061a54cc752156131c6fc55f7f8785153 SHA512 
8ebd116d1fd75385f13cf072ac44dfb0055f789dd7fc1f37433b6dd98c62cb439b2fbf99fe891d919139f93404f5017e3600093d8dc21c8463f0f50e3bb72460
 WHIRLPOOL 
0de33344956bd2723f364da07ad6a48adca3ffc43e53cad9ee70c92707ea6f9b47004f1fdd8b14318ba39d0995085986a3d606e26d07fd293d71ebdab17eaf17
-AUX uwsgi.confd 1116 SHA256 
3c238b934f8db9eae87f77dc3d131499e442526d5e45438b5461c0d7590b772f SHA512 
888d174ed0c83e93724b473712288e42ce97e0b367b7aca3c707795e8bf4753a242982d8fa35274662851a6638eef3a55860982aae1d94fb234cd29ca4382bfd
 WHIRLPOOL 
a3708ed41de4e21562eca5ea89afed6e6cb234c0c37583b58ee346478de64569e68b8eed45ca0349222cb07ee8b85683ecebeea404c2f0ded1c91dff90cbfdbc
-AUX uwsgi.confd-r1 1438 SHA256 
baa1522d488523daf67d3d480f9aa5076ae3252ab2731f4c25ef564caba8cfd2 SHA512 
51e7154ced90a6a531944db8df7bdc2d502550501845ff153e05f94623d0d547180b78fe80203a272af60306b9d3d8575dc101e4069b655091a821929a6e4436
 WHIRLPOOL 
cb12c57c5eb636941e429900ae8f932129ace89620d46d537108ba3aa15e694eb4038bca5739eefba544dc02c8ecefdb53419509ed542c40ec5803f4f0516ff5
-AUX uwsgi.confd-r3 1816 SHA256 
4cb047e311aecd0f498da1d6a4c0947dd6dc7cc98575d54cb2ef150cacf8425c SHA512 
9f00afb2aa574bbc59040f945475712b8c40da0c06eeb5699de5510aa116148e35ab0429fa891084cf0cd7868876d5a80e1601b7c85d0e2e9ea2a1f54cdde619
 WHIRLPOOL 
5b20118c3b5950d2457d909bf7cca15f21edd13358da1a9284ff4412fda3ab13958df5dd0714e12d0c38e9e516c46c779a71cd872164165074045adb008a639c
-AUX uwsgi.initd 2843 SHA256 
93ac80033db1b9fcb9bc42ec22463cbc2b6c4135b458cd921ec699d86f976e8f SHA512 
e3dcaa5d5bf18f38271f7cbdd315c77f42a951e45b9d311fca8c5e97e0213b890ccbc3cfc2be634d24e6d3a88fb633e17039bcaad166aa8b304adcb37169d726
 WHIRLPOOL 
44244eb504c13e1d9db2c34d3a94ee1049a0d1b31c3503853da92c3071df7ec44114d7f609f84151073d3d31b8b94b35ed0f391e17986e17b468ce3558470213
-AUX uwsgi.initd-r1 3352 SHA256 
857940e7c6c97c0e23db85015a47d295a102607100f0662ae69dc9c3c5bef14c SHA512 
8c32618696be688001597d685f2a91eb6bbf65464889dd1ec30e40fe3cea2290cfe2cf0ec41dc3a2e35461781400f1a6fe881d666ab0771dde37a65b8ab873a8
 WHIRLPOOL 
954357c5c6c529a3b763cd5a09b0c7af2c738f7cba0823ddb80405fb5d31a06edc1677a13043fe1396ef0e9aef6142365cca223342bd10d090cddff7f15d0dad
-AUX uwsgi.initd-r2 3436 SHA256 
1983e7346e50996ea9a34ac8f399b965596232bf7b9b38a98226562f11143463 SHA512 
0eb9f844bacc3133615f4cd521adccb8830f58bd5b8c6d602e86191a7005157cc52fc5259654de79735f7ac4a41d0d2fd093f0dd08f62d3732efe482450b7590
 WHIRLPOOL 
bbbf4cdb82710468caa6365536423e79ac13d0b81e393f50fed0be95bea5f73cc31ca19f99bdc0c6b54f7fdfea8175f6af6e8975b5c6b28828790dd2bf022921
-AUX uwsgi.initd-r3 3614 SHA256 
58b998b025e4a9df20ca917bc93e287f9a8cf02d278d513fa461f70e1d08f799 SHA512 
ab9dc6277bd05821287f6f8beb3ac2504f0e41db38e11b4d2884ac026f14ac7bfaaca138f045afa712d4f2843f94de105bf0d43fad35d18679ac33b507cd187e
 WHIRLPOOL 
7bf4b1d5263ddb3ea0e3c81fe4906debaa3a3ee0a59a177b4f12a24d883bcb2049dffa4b11d9564c1ce4324a23a67cd4e8110f1955c05287f53cbd4b4e75e7cc
-DIST uwsgi-2.0.tar.gz 744221 SHA256 
297073c85dc7a6b104f6367778cf7604bedd685a977b320b36dd46b0b11a8af0 SHA512 
ee4b3602749b5b0352717001a6ea3d252c80f2d0d0b8ac0c21b3fbb49df7ff911f4211a1cb6f23afe1716f1b3a6f856236b6cd48a0f82d618a6d52dbf13f13b3
 WHIRLPOOL 
8236c3c7063a319f71e879a0ff08c9a06f90a3b16cce8d20ab9e1895bb5b2b6affa970f55c2aaca90249900960d4390aed6f573a6f6b82043906262a40e3fb17
-EBUILD uwsgi-2.0.ebuild 10824 SHA256 
6286a487940ec83994ba2423e0fe3694326780811275b6230174145d941bcc0f SHA512 
3429d93a2258025bd23d5a17631424808a19fefa6ec6ddc3e308b5ee4c9ac35b2be13f7e12ffd9f0b46617b2f2797629df834f82c2f69cc3d08648417cf0a7a1
 WHIRLPOOL 
d91b1f300299e5fccac8401cced63e4d7c6e4cad09a15d229ecc8aacd11dc20dc00c70ed2a21ed474a22addc66ad51ffb5a505e6587f8fc21fbf59539f064cbb
-MISC metadata.xml 2282 SHA256 
64258a6b1b20cc96787d46cf757232db98f158ac0feace3f437b7d7cc8420c6d SHA512 
273c55363a97f5053ea164cda9be00b80a98293bec81e881da89cba6d4b2d912e7a60f339e5aaa25363e7b1e0372d0e9a113e19f909f35d47fc966b49ff5d07f
 WHIRLPOOL 
c074e0bf5031987b448d60dba8b62a7cbdb33994aae440e27822280f053d06290b2d9774cedf4463d1da89b5683cea301be9e63f2ed2f40e76f5b5e1a52e916b

diff --git a/www-servers/uwsgi/files/1.1.2-threaded-php.patch 
b/www-servers/uwsgi/files/1.1.2-threaded-php.patch
deleted file mode 100644
index ed75ad9..0000000
--- a/www-servers/uwsgi/files/1.1.2-threaded-php.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-diff -r a6dd30e36bc0 plugins/php/php_plugin.c
---- a/plugins/php/php_plugin.c Fri Apr 20 16:27:00 2012 +0200
-+++ b/plugins/php/php_plugin.c Sun Apr 22 11:54:49 2012 +0200
-@@ -116,7 +116,7 @@
- }
- 
- 
--static int sapi_uwsgi_send_headers(sapi_headers_struct *sapi_headers)
-+static int sapi_uwsgi_send_headers(sapi_headers_struct *sapi_headers 
TSRMLS_DC)
- {
-       sapi_header_struct *h;
-       zend_llist_position pos;
-@@ -237,7 +237,7 @@
- }
- 
- 
--static char *sapi_uwsgi_read_cookies(void)
-+static char *sapi_uwsgi_read_cookies(TSRMLS_D)
- {
-       uint16_t len = 0;
-       struct wsgi_request *wsgi_req = (struct wsgi_request *) 
SG(server_context);
-@@ -624,6 +624,10 @@
-       struct uwsgi_string_list *pset = uphp.set;
-       struct uwsgi_string_list *append_config = uphp.append_config;
- 
-+#ifdef ZTS
-+      tsrm_startup(1, 1, 0, NULL);
-+#endif
-+
-       sapi_startup(&uwsgi_sapi_module);
- 
-       // applying custom options
-@@ -721,6 +725,7 @@
- 
-       zend_file_handle file_handle;
- 
-+      TSRMLS_FETCH(); // fetch the threading state in case PHP is built with 
threading
-       SG(server_context) = (void *) wsgi_req;
- 
-       if (uwsgi_parse_vars(wsgi_req)) {

diff --git a/www-servers/uwsgi/files/1.2.6-fixed-typecasting.patch 
b/www-servers/uwsgi/files/1.2.6-fixed-typecasting.patch
deleted file mode 100644
index b9dfec7..0000000
--- a/www-servers/uwsgi/files/1.2.6-fixed-typecasting.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-
-# HG changeset patch
-# User roberto@quantal64
-# Date 1347021464 -7200
-# Node ID 4d4686fdb3ba44fd5083f61ceb27f820d7a79937
-# Parent  88dc416d99e40ddacfb7ccb4d620fe50b9d9319c
-fixed typecasting
-
-diff -r 88dc416d99e4 -r 4d4686fdb3ba plugins/router_uwsgi/router_uwsgi.c
---- a/plugins/router_uwsgi/router_uwsgi.c      gio set 06 16:32:49 2012 +0200
-+++ b/plugins/router_uwsgi/router_uwsgi.c      ven set 07 14:37:44 2012 +0200
-@@ -54,7 +54,7 @@
- 
-       int post_fd = wsgi_req->poll.fd;
-       if (wsgi_req->async_post) {
--              post_fd = fileno(wsgi_req->async_post);
-+              post_fd = fileno((FILE *)wsgi_req->async_post);
-       }
- 
-       if (uwsgi_send_message(uwsgi_fd, uh->modifier1, uh->modifier2, 
wsgi_req->buffer, wsgi_req->uh.pktsize, post_fd, wsgi_req->post_cl, 0) < 0) {
-

diff --git a/www-servers/uwsgi/files/42_mod_uwsgi-r1.conf 
b/www-servers/uwsgi/files/42_mod_uwsgi-r1.conf
deleted file mode 100644
index bcb383e..0000000
--- a/www-servers/uwsgi/files/42_mod_uwsgi-r1.conf
+++ /dev/null
@@ -1,9 +0,0 @@
-<IfDefine PROXY_UWSGI>
-    LoadModule uwsgi_module modules/mod_proxy_uwsgi.so
-</IfDefine>
-<IfDefine RUWSGI>
-    LoadModule uwsgi_module modules/mod_Ruwsgi.so
-</IfDefine>
-<IfDefine UWSGI>
-    LoadModule uwsgi_module modules/mod_uwsgi.so
-</IfDefine>

diff --git a/www-servers/uwsgi/files/42_mod_uwsgi.conf 
b/www-servers/uwsgi/files/42_mod_uwsgi.conf
deleted file mode 100644
index a619bae..0000000
--- a/www-servers/uwsgi/files/42_mod_uwsgi.conf
+++ /dev/null
@@ -1,7 +0,0 @@
-<IfDefine UWSGI>
-    LoadModule uwsgi_module modules/mod_uwsgi.so
-</IfDefine>
-<IfDefine RUWSGI>
-    LoadModule uwsgi_module modules/mod_Ruwsgi.so
-</IfDefine>
-

diff --git a/www-servers/uwsgi/files/uwsgi-1.0.2.1-no-werror.patch 
b/www-servers/uwsgi/files/uwsgi-1.0.2.1-no-werror.patch
deleted file mode 100644
index 9786186..0000000
--- a/www-servers/uwsgi/files/uwsgi-1.0.2.1-no-werror.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/uwsgiconfig.py   2012-01-11 19:38:58.000000000 +0100
-+++ b/uwsgiconfig.py   2012-01-27 11:43:47.969407343 +0100
-@@ -252,7 +252,7 @@
-         self.gcc_list.append('proto/fastcgi')
-         self.include_path = []
- 
--        self.cflags = ['-O2', '-Wall', '-Werror', '-D_LARGEFILE_SOURCE', 
'-D_FILE_OFFSET_BITS=64'] + os.environ.get("CFLAGS", "").split()
-+        self.cflags = ['-O2', '-Wall', '-D_LARGEFILE_SOURCE', 
'-D_FILE_OFFSET_BITS=64'] + os.environ.get("CFLAGS", "").split()
- 
-         if uwsgi_os == 'Linux':
-             self.gcc_list.append('lib/linux_ns')

diff --git a/www-servers/uwsgi/files/uwsgi.confd 
b/www-servers/uwsgi/files/uwsgi.confd
deleted file mode 100644
index 11152da..0000000
--- a/www-servers/uwsgi/files/uwsgi.confd
+++ /dev/null
@@ -1,47 +0,0 @@
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.confd,v 1.1 
2011/05/31 19:49:07 maksbotan Exp $
-
-# DO NOT MODIFY THIS FILE DIRECTLY! CREATE A COPY AND MODIFY THAT INSTEAD!
-
-# Path (or name) of UNIX/TCP socket to bind to
-#
-UWSGI_SOCKET=127.0.0.1:1234
-
-# Enable threads?
-#
-UWSGI_THREADS=1
-
-# The path to your uWSGI application.
-#
-UWSGI_PROGRAM=
-
-# The path to your uWSGI xml config file.
-#
-UWSGI_XML_CONFIG=
-
-# The number of child processes to spawn. The default is 1.
-#
-UWSGI_CHILDREN=1
-
-# The log file path. If empty logging is disabled
-#
-UWSGI_LOG_FILE=
-
-# If you want to run your application inside a chroot then specify the
-# directory here. Leave this blank otherwise.
-#
-UWSGI_CHROOT=
-
-# If you want to run your application from a specific directiory specify
-# it here. Leave this blank otherwise.
-#
-# UWSGI_DIR=
-
-# The user and group to run your application as. If you do not specify these,
-# the application will be run as root:root.
-#
-UWSGI_USER=
-
-# Additional options you might want to pass to uWSGI
-#
-#UWSGI_EXTRA_OPTIONS=

diff --git a/www-servers/uwsgi/files/uwsgi.confd-r1 
b/www-servers/uwsgi/files/uwsgi.confd-r1
deleted file mode 100644
index 193ca58..0000000
--- a/www-servers/uwsgi/files/uwsgi.confd-r1
+++ /dev/null
@@ -1,53 +0,0 @@
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.confd-r1,v 
1.1 2012/05/15 06:45:08 dev-zero Exp $
-
-# YOU SHOULD ONLY MODIFY THIS FILE IF YOU USE THE UWSGI EMPEROR MODE!
-# IF YOU WANT TO RUN A SINGLE APP INSTANCE, CREATE A COPY AND MODIFY THAT 
INSTEAD!
-
-# Path (or name) of UNIX/TCP socket to bind to
-# Example : UWSGI_SOCKET=127.0.0.1:1234
-UWSGI_SOCKET=
-
-# Enable threads? (1 = yes, 0 = no). The default is 0
-#
-UWSGI_THREADS=0
-
-# The path to your uWSGI application.
-#
-UWSGI_PROGRAM=
-
-# The path to your uWSGI xml config file.
-#
-UWSGI_XML_CONFIG=
-
-# The number of child processes to spawn. The default is 1.
-#
-UWSGI_PROCESSES=1
-
-# The log file path. If empty, log only errors
-#
-UWSGI_LOG_FILE=
-
-# If you want to run your application inside a chroot then specify the
-# directory here. Leave this blank otherwise.
-#
-UWSGI_CHROOT=
-
-# If you want to run your application from a specific directiory specify
-# it here. Leave this blank otherwise.
-#
-UWSGI_DIR=
-
-# The user and group to run your application as. If you do not specify these,
-# the application will be run as root:root.
-#
-UWSGI_USER=
-
-# Run the uwsgi emperor which loads vassals dynamically from this PATH
-# see http://projects.unbit.it/uwsgi/wiki/Emperor
-# The advised Gentoo folder is /etc/uwsgi.d/
-UWSGI_EMPEROR_PATH=
-
-# Additional options you might want to pass to uWSGI
-#
-UWSGI_EXTRA_OPTIONS=

diff --git a/www-servers/uwsgi/files/uwsgi.confd-r3 
b/www-servers/uwsgi/files/uwsgi.confd-r3
deleted file mode 100644
index 7759361..0000000
--- a/www-servers/uwsgi/files/uwsgi.confd-r3
+++ /dev/null
@@ -1,63 +0,0 @@
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.confd-r3,v 
1.1 2013/03/01 09:50:06 ultrabug Exp $
-
-# YOU SHOULD ONLY MODIFY THIS FILE IF YOU USE THE UWSGI EMPEROR MODE!
-# IF YOU WANT TO RUN A SINGLE APP INSTANCE, CREATE A COPY AND MODIFY THAT 
INSTEAD!
-
-# Path (or name) of UNIX/TCP socket to bind to
-# Example : UWSGI_SOCKET=127.0.0.1:1234
-UWSGI_SOCKET=
-
-# Enable threads? (1 = yes, 0 = no). The default is 0
-#
-UWSGI_THREADS=0
-
-# The path to your uWSGI application.
-#
-UWSGI_PROGRAM=
-
-# The path to your uWSGI xml config file.
-#
-UWSGI_XML_CONFIG=
-
-# The number of child processes to spawn. The default is 1.
-#
-UWSGI_PROCESSES=1
-
-# The log file path. If empty, log only errors
-#
-UWSGI_LOG_FILE=
-
-# If you want to run your application inside a chroot then specify the
-# directory here. Leave this blank otherwise.
-#
-UWSGI_CHROOT=
-
-# If you want to run your application from a specific directiory specify
-# it here. Leave this blank otherwise.
-#
-UWSGI_DIR=
-
-# The user to run your application as. If you do not specify these,
-# the application will be run as user root.
-#
-UWSGI_USER=
-
-# The group to run your application as. If you do not specify these,
-# the application will be run as group root.
-#
-UWSGI_GROUP=
-
-# Run the uwsgi emperor which loads vassals dynamically from this PATH
-# see http://projects.unbit.it/uwsgi/wiki/Emperor
-# The advised Gentoo folder is /etc/uwsgi.d/
-UWSGI_EMPEROR_PATH=
-
-# The group the emperor should run as. This is different from the UWSGI_GROUP
-# as you could want your apps share some sockets with other processes such as
-# www servers while preserving your emperor logs from being accessible by them.
-UWSGI_EMPEROR_GROUP=
-
-# Additional options you might want to pass to uWSGI
-#
-UWSGI_EXTRA_OPTIONS=

diff --git a/www-servers/uwsgi/files/uwsgi.initd 
b/www-servers/uwsgi/files/uwsgi.initd
deleted file mode 100644
index ce0ba57..0000000
--- a/www-servers/uwsgi/files/uwsgi.initd
+++ /dev/null
@@ -1,109 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.initd,v 1.3 
2012/08/27 08:34:07 ultrabug Exp $
-
-PROGNAME=${SVCNAME#*.}
-
-UWSGI_EXEC=/usr/bin/uwsgi
-PIDPATH=/var/run/uwsgi
-PIDFILE="${PIDPATH}/${PROGNAME}.pid"
-
-extra_started_commands="reload"
-
-depend() {
-       need net
-}
-
-start() {
-       local OPTIONS
-
-       if [ "${SVCNAME}" = "uwsgi" ]; then
-               eerror "You are not supposed to run this script directly. 
Create a symlink"
-               eerror "for the FastCGI application you want to run as well as 
a copy of the"
-               eerror "configuration file and modify it appropriately like 
so..."
-               eerror
-               eerror "  ln -s uwsgi /etc/init.d/uwsgi.trac"
-               eerror "  cp /etc/conf.d/uwsgi /etc/conf.d/uwsgi.trac"
-               eerror "  nano /etc/conf.d/uwsgi.trac"
-               eerror
-               return 1
-       fi
-
-       if [ -z "${UWSGI_SOCKET}" ]; then
-               eerror "You need to specify path (or name) of UNIX/TCP socket 
to bind to"
-               eerror "in UWSGI_SOCKET"
-               return 1
-       fi
-
-       if [ -z "${UWSGI_PROGRAM}" ] && [ -z "${UWSGI_XML_CONFIG}" ]; then
-               eerror "You need to specify which \$UWSGI_PROGRAM or 
\$UWSGI_XML_CONFIG"
-               eerror "you want to start."
-               eerror "Please adjust /etc/conf.d/uwsgi.${PROGNAME}"
-               return 1
-       fi
-
-       if [ -n "${UWSGI_PROGRAM}" ] && [ -n "${UWSGI_XML_CONFIG}" ]; then
-               eerror "Only one of the two may be defined:"
-               eerror "  UWSGI_PROGRAM=${UWSGI_PROGRAM}"
-               eerror "  UWSGI_XML_CONFIG=${UWSGI_XML_CONFIG}"
-               return 1
-       fi
-
-
-       OPTIONS="--master --daemonize"
-
-       if [ -n "$UWSGI_LOG_FILE" ]; then
-               OPTIONS="${OPTIONS} $UWSGI_LOG_FILE"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       if [ "${UWSGI_THREADS}" = "1" ]; then
-               OPTIONS="${OPTIONS} --enable-threads"
-       fi
-
-       if [ -n "${UWSGI_SOCKET}" ]; then
-               OPTIONS="${OPTIONS} --socket ${UWSGI_SOCKET}"
-       fi
-
-       if [ -n "${UWSGI_CHILDREN}" ]; then
-               OPTIONS="${OPTIONS} --processes ${UWSGI_CHILDREN}"
-       fi
-
-       if [ -n "${UWSGI_CHROOT}" ]; then
-               OPTIONS="${OPTIONS} --chroot ${UWSGI_CHROOT}"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       if [ -n "${UWSGI_PROGRAM}" ]; then
-               OPTIONS="${OPTIONS} --wsgi-file ${UWSGI_PROGRAM}"
-       fi
-
-       if [ -n "${UWSGI_XML_CONFIG}" ]; then
-               OPTIONS="${OPTIONS} --xmlconfig ${UWSGI_XML_CONFIG}"
-       fi
-
-       ebegin "Starting uWSGI application ${PROGNAME}"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
-- ${OPTIONS} --pidfile "${PIDFILE}"
-       eend $?
-}
-
-reload() {
-       ebegin "Reloading ${SVCNAME}"
-       kill -HUP `cat ${PIDFILE}` &>/dev/null
-       eend $? "Failed to reload ${SVCNAME}"
-}
-
-stop() {
-       ebegin "Stopping uWSGI application ${PROGNAME}"
-       start-stop-daemon --stop --pidfile "${PIDFILE}" --signal 3
-       eend $?
-}

diff --git a/www-servers/uwsgi/files/uwsgi.initd-r1 
b/www-servers/uwsgi/files/uwsgi.initd-r1
deleted file mode 100644
index 2ec3482..0000000
--- a/www-servers/uwsgi/files/uwsgi.initd-r1
+++ /dev/null
@@ -1,138 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.initd-r1,v 
1.5 2012/08/27 08:34:07 ultrabug Exp $
-
-PROGNAME=${SVCNAME#*.}
-
-UWSGI_EXEC=/usr/bin/uwsgi
-PIDPATH=/var/run/uwsgi
-PIDFILE="${PIDPATH}/${PROGNAME}.pid"
-
-extra_started_commands="${opts} reload stats"
-
-depend() {
-       need net
-}
-
-start_pre() {
-       checkpath -d -m 0750 -o "${UWSGI_USER}":root "${PIDPATH}"
-}
-
-start_emperor() {
-       local OPTIONS
-       OPTIONS="--daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       ebegin "Starting uWSGI emperor"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
\
-               -- --emperor "${UWSGI_EMPEROR_PATH}" ${OPTIONS} \
-               --pidfile "${PIDFILE}"
-       return $?
-}
-
-start_app() {
-       local OPTIONS
-       OPTIONS="--master --daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       if [ "${UWSGI_THREADS}" = "1" ]; then
-               OPTIONS="${OPTIONS} --enable-threads"
-       fi
-
-       if [ -n "${UWSGI_SOCKET}" ]; then
-               OPTIONS="${OPTIONS} --socket ${UWSGI_SOCKET}"
-       fi
-
-       if [ -n "${UWSGI_PROCESSES}" ]; then
-               OPTIONS="${OPTIONS} --processes ${UWSGI_PROCESSES}"
-       fi
-
-       if [ -n "${UWSGI_CHROOT}" ]; then
-               OPTIONS="${OPTIONS} --chroot ${UWSGI_CHROOT}"
-       fi
-
-       if [ -n "${UWSGI_PROGRAM}" ]; then
-               OPTIONS="${OPTIONS} --fileserve-mode ${UWSGI_PROGRAM}"
-       fi
-
-       if [ -n "${UWSGI_XML_CONFIG}" ]; then
-               OPTIONS="${OPTIONS} --xmlconfig ${UWSGI_XML_CONFIG}"
-       fi
-
-       ebegin "Starting uWSGI application ${PROGNAME}"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
\
-               -- ${OPTIONS} --pidfile "${PIDFILE}"
-       return $?
-}
-
-start() {
-       if [ "${SVCNAME}" == "uwsgi" ]; then
-               if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-                       start_emperor
-                       eend $?
-               else
-                       eerror "You are not supposed to run this script 
directly unless you"
-                       eerror "want to run in Emperor mode. In that case 
please set the UWSGI_EMPEROR_PATH."
-                       eerror "Otherwise create a symlink for the uwsgi 
application you want to run as well as"
-                       eerror "a copy of the configuration file and modify it 
appropriately like so..."
-                       eerror
-                       eerror "  ln -s uwsgi /etc/init.d/uwsgi.trac"
-                       eerror "  cp /etc/conf.d/uwsgi /etc/conf.d/uwsgi.trac"
-                       eerror "  nano /etc/conf.d/uwsgi.trac"
-                       eerror
-                       return 1
-               fi
-       else
-               start_app
-               eend $?
-       fi
-}
-
-stop() {
-       if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-               ebegin "Stopping uWSGI emperor"
-       else
-               ebegin "Stopping uWSGI application ${PROGNAME}"
-       fi
-       start-stop-daemon --stop --signal QUIT --pidfile "${PIDFILE}"
-       eend $?
-}
-
-reload() {
-       ebegin "Reloading uWSGI"
-       start-stop-daemon --signal HUP --pidfile "${PIDFILE}"
-       eend $?
-}
-
-stats() {
-       ebegin "Logging uWSGI statistics"
-       start-stop-daemon --signal USR1 --pidfile "${PIDFILE}"
-       eend $?
-}

diff --git a/www-servers/uwsgi/files/uwsgi.initd-r2 
b/www-servers/uwsgi/files/uwsgi.initd-r2
deleted file mode 100644
index 9929f38..0000000
--- a/www-servers/uwsgi/files/uwsgi.initd-r2
+++ /dev/null
@@ -1,142 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.initd-r2,v 
1.1 2013/02/21 16:07:39 ultrabug Exp $
-
-PROGNAME=${SVCNAME#*.}
-
-UWSGI_EXEC=/usr/bin/uwsgi
-if [ "${SVCNAME}" == "uwsgi" ]; then
-       PIDPATH=/var/run/uwsgi
-else
-       PIDPATH="/var/run/uwsgi_${PROGNAME}"
-fi
-PIDFILE="${PIDPATH}/${PROGNAME}.pid"
-
-extra_started_commands="${opts} reload stats"
-
-depend() {
-       need net
-}
-
-start_pre() {
-       checkpath -d -m 0750 -o "${UWSGI_USER}":root "${PIDPATH}"
-}
-
-start_emperor() {
-       local OPTIONS
-       OPTIONS="--daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       ebegin "Starting uWSGI emperor"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
\
-               -- --emperor "${UWSGI_EMPEROR_PATH}" ${OPTIONS} \
-               --pidfile "${PIDFILE}"
-       return $?
-}
-
-start_app() {
-       local OPTIONS
-       OPTIONS="--master --daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       if [ "${UWSGI_THREADS}" = "1" ]; then
-               OPTIONS="${OPTIONS} --enable-threads"
-       fi
-
-       if [ -n "${UWSGI_SOCKET}" ]; then
-               OPTIONS="${OPTIONS} --socket ${UWSGI_SOCKET}"
-       fi
-
-       if [ -n "${UWSGI_PROCESSES}" ]; then
-               OPTIONS="${OPTIONS} --processes ${UWSGI_PROCESSES}"
-       fi
-
-       if [ -n "${UWSGI_CHROOT}" ]; then
-               OPTIONS="${OPTIONS} --chroot ${UWSGI_CHROOT}"
-       fi
-
-       if [ -n "${UWSGI_PROGRAM}" ]; then
-               OPTIONS="${OPTIONS} --fileserve-mode ${UWSGI_PROGRAM}"
-       fi
-
-       if [ -n "${UWSGI_XML_CONFIG}" ]; then
-               OPTIONS="${OPTIONS} --xmlconfig ${UWSGI_XML_CONFIG}"
-       fi
-
-       ebegin "Starting uWSGI application ${PROGNAME}"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
\
-               -- ${OPTIONS} --pidfile "${PIDFILE}"
-       return $?
-}
-
-start() {
-       if [ "${SVCNAME}" == "uwsgi" ]; then
-               if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-                       start_emperor
-                       eend $?
-               else
-                       eerror "You are not supposed to run this script 
directly unless you"
-                       eerror "want to run in Emperor mode. In that case 
please set the UWSGI_EMPEROR_PATH."
-                       eerror "Otherwise create a symlink for the uwsgi 
application you want to run as well as"
-                       eerror "a copy of the configuration file and modify it 
appropriately like so..."
-                       eerror
-                       eerror "  ln -s uwsgi /etc/init.d/uwsgi.trac"
-                       eerror "  cp /etc/conf.d/uwsgi /etc/conf.d/uwsgi.trac"
-                       eerror "  nano /etc/conf.d/uwsgi.trac"
-                       eerror
-                       return 1
-               fi
-       else
-               start_app
-               eend $?
-       fi
-}
-
-stop() {
-       if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-               ebegin "Stopping uWSGI emperor"
-       else
-               ebegin "Stopping uWSGI application ${PROGNAME}"
-       fi
-       start-stop-daemon --stop --signal QUIT --pidfile "${PIDFILE}"
-       eend $?
-}
-
-reload() {
-       ebegin "Reloading uWSGI"
-       start-stop-daemon --signal HUP --pidfile "${PIDFILE}"
-       eend $?
-}
-
-stats() {
-       ebegin "Logging uWSGI statistics"
-       start-stop-daemon --signal USR1 --pidfile "${PIDFILE}"
-       eend $?
-}

diff --git a/www-servers/uwsgi/files/uwsgi.initd-r3 
b/www-servers/uwsgi/files/uwsgi.initd-r3
deleted file mode 100644
index 15ae1a8..0000000
--- a/www-servers/uwsgi/files/uwsgi.initd-r3
+++ /dev/null
@@ -1,144 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/uwsgi/files/uwsgi.initd-r3,v 
1.1 2013/03/01 09:50:06 ultrabug Exp $
-
-PROGNAME=${SVCNAME#*.}
-
-UWSGI_EXEC=/usr/bin/uwsgi
-if [ "${SVCNAME}" == "uwsgi" ]; then
-       PIDPATH=/var/run/uwsgi
-else
-       PIDPATH="/var/run/uwsgi_${PROGNAME}"
-fi
-PIDFILE="${PIDPATH}/${PROGNAME}.pid"
-
-extra_started_commands="${opts} reload stats"
-
-depend() {
-       need net
-}
-
-start_pre() {
-       checkpath -d -m 0750 -o "${UWSGI_USER}":"${UWSGI_GROUP}" "${PIDPATH}"
-}
-
-start_emperor() {
-       local OPTIONS
-       OPTIONS="--daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-       [ -z "${UWSGI_GROUP}" ] && UWSGI_GROUP="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       ebegin "Starting uWSGI emperor"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --exec "${UWSGI_EXEC}" 
\
-               --group ${UWSGI_EMPEROR_GROUP:-${UWSGI_GROUP}} \
-               -- --emperor "${UWSGI_EMPEROR_PATH}" ${OPTIONS} --pidfile 
"${PIDFILE}"
-       return $?
-}
-
-start_app() {
-       local OPTIONS
-       OPTIONS="--master --daemonize"
-
-       if [ -n "${UWSGI_LOG_FILE}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_LOG_FILE}"
-       else
-               OPTIONS="${OPTIONS} /dev/null --disable-logging"
-       fi
-
-       [ -z "${UWSGI_DIR}" ] && UWSGI_DIR="/"
-       [ -z "${UWSGI_USER}" ] && UWSGI_USER="root"
-       [ -z "${UWSGI_GROUP}" ] && UWSGI_GROUP="root"
-
-       if [ -n "${UWSGI_EXTRA_OPTIONS}" ]; then
-               OPTIONS="${OPTIONS} ${UWSGI_EXTRA_OPTIONS}"
-       fi
-
-       if [ "${UWSGI_THREADS}" = "1" ]; then
-               OPTIONS="${OPTIONS} --enable-threads"
-       fi
-
-       if [ -n "${UWSGI_SOCKET}" ]; then
-               OPTIONS="${OPTIONS} --socket ${UWSGI_SOCKET}"
-       fi
-
-       if [ -n "${UWSGI_PROCESSES}" ]; then
-               OPTIONS="${OPTIONS} --processes ${UWSGI_PROCESSES}"
-       fi
-
-       if [ -n "${UWSGI_CHROOT}" ]; then
-               OPTIONS="${OPTIONS} --chroot ${UWSGI_CHROOT}"
-       fi
-
-       if [ -n "${UWSGI_PROGRAM}" ]; then
-               OPTIONS="${OPTIONS} --fileserve-mode ${UWSGI_PROGRAM}"
-       fi
-
-       if [ -n "${UWSGI_XML_CONFIG}" ]; then
-               OPTIONS="${OPTIONS} --xmlconfig ${UWSGI_XML_CONFIG}"
-       fi
-
-       ebegin "Starting uWSGI application ${PROGNAME}"
-       cd "${UWSGI_DIR}" && \
-       start-stop-daemon --start --user "${UWSGI_USER}" --group 
"${UWSGI_GROUP}" \
-               --exec "${UWSGI_EXEC}" -- ${OPTIONS} --pidfile "${PIDFILE}"
-       return $?
-}
-
-start() {
-       if [ "${SVCNAME}" == "uwsgi" ]; then
-               if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-                       start_emperor
-                       eend $?
-               else
-                       eerror "You are not supposed to run this script 
directly unless you"
-                       eerror "want to run in Emperor mode. In that case 
please set the UWSGI_EMPEROR_PATH."
-                       eerror "Otherwise create a symlink for the uwsgi 
application you want to run as well as"
-                       eerror "a copy of the configuration file and modify it 
appropriately like so..."
-                       eerror
-                       eerror "  ln -s uwsgi /etc/init.d/uwsgi.trac"
-                       eerror "  cp /etc/conf.d/uwsgi /etc/conf.d/uwsgi.trac"
-                       eerror "  nano /etc/conf.d/uwsgi.trac"
-                       eerror
-                       return 1
-               fi
-       else
-               start_app
-               eend $?
-       fi
-}
-
-stop() {
-       if [ -n "${UWSGI_EMPEROR_PATH}" ]; then
-               ebegin "Stopping uWSGI emperor"
-       else
-               ebegin "Stopping uWSGI application ${PROGNAME}"
-       fi
-       start-stop-daemon --stop --signal QUIT --pidfile "${PIDFILE}"
-       eend $?
-}
-
-reload() {
-       ebegin "Reloading uWSGI"
-       start-stop-daemon --signal HUP --pidfile "${PIDFILE}"
-       eend $?
-}
-
-stats() {
-       ebegin "Logging uWSGI statistics"
-       start-stop-daemon --signal USR1 --pidfile "${PIDFILE}"
-       eend $?
-}

diff --git a/www-servers/uwsgi/metadata.xml b/www-servers/uwsgi/metadata.xml
deleted file mode 100644
index 7a6e508..0000000
--- a/www-servers/uwsgi/metadata.xml
+++ /dev/null
@@ -1,26 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
-<pkgmetadata>
-       <herd>python</herd>
-       <maintainer>
-               <email>[email protected]</email>
-       </maintainer>
-       <use>
-               <flag name='carbon'>Enable support for sending statistics to a 
carbon server (see http://projects.unbit.it/uwsgi/wiki/Carbon).</flag>
-               <flag name='erlang'>Let the uWSGI server as as an Erlang C-Node 
and exchange messages and rpc with Erlang nodes. Together with the USE=python 
this enables erlang support in python (see the mappings table in 
http://projects.unbit.it/uwsgi/wiki/ErlangIntegration).</flag>
-               <flag name='embedded'>Embed plugins instead of building them as 
real plugins. When disabling this USE flag make sure you specify all used 
plugins in your uWSGI configuration. Note: Language plugins will always be 
built as real plugins.</flag>
-               <flag name='gevent'>Use <pkg>dev-python/gevent</pkg> for async 
request dispatching and as LoopEngine (see 
http://projects.unbit.it/uwsgi/wiki/Gevent).</flag>
-               <flag name='jemalloc'>Use <pkg>dev-libs/jemalloc</pkg> instead 
of libc's malloc</flag>
-               <flag name='graylog2'>Enable logging to graylog2 (see 
http://graylog2.org/).</flag>
-               <flag name='json'>Support json as a configuration file 
format.</flag>
-               <flag name='nagios'>Add nagios-friendly logging output (see 
http://projects.unbit.it/uwsgi/wiki/Nagios).</flag>
-               <flag name='python_gevent'>Use <pkg>dev-python/gevent</pkg> for 
async request dispatching and as LoopEngine (see 
http://projects.unbit.it/uwsgi/wiki/Gevent).</flag>
-               <flag name='routing'>Enable routing support</flag>
-               <flag name='rrdtool'>Enable support for writing requests data 
in RRD files.</flag>
-               <flag name='rsyslog'>Support direct logging to a 
<pkg>app-admin/rsyslog</pkg> socket (without going through the syslog 
interface).</flag>
-               <flag name='spooler'>Build a plugin which gives a network 
spooler (see http://projects.unbit.it/uwsgi/wiki/Spooler).</flag>
-               <flag name='yaml'>Support yaml as a configuration file 
format.</flag>
-               <flag name='yajl'>Use <pkg>dev-libs/yajl</pkg> instead of 
<pkg>dev-libs/jansson</pkg> for parsing JSON configuration files (if USe=json 
is set)</flag>
-               <flag name='zeromq'>Enable logging and deployment via 
ZeroMQ.</flag>
-       </use>
-</pkgmetadata>

diff --git a/www-servers/uwsgi/uwsgi-2.0.ebuild 
b/www-servers/uwsgi/uwsgi-2.0.ebuild
deleted file mode 100644
index 79a96aa..0000000
--- a/www-servers/uwsgi/uwsgi-2.0.ebuild
+++ /dev/null
@@ -1,367 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="5"
-
-PYTHON_COMPAT=( python2_{6,7} python3_{2,3} )
-PYTHON_MODNAME="uwsgidecorators"
-
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby19 ruby20 ruby21"
-
-PHP_EXT_INI="no"
-PHP_EXT_NAME="dummy"
-PHP_EXT_OPTIONAL_USE="php"
-USE_PHP="php5-3 php5-4 php5-5" # deps must be registered separately below
-
-MY_P="${P/_/-}"
-
-inherit apache-module distutils-r1 eutils multilib pax-utils php-ext-source-r2 
python-r1 ruby-ng versionator
-
-DESCRIPTION="uWSGI server for Python web applications"
-HOMEPAGE="http://projects.unbit.it/uwsgi/";
-SRC_URI="http://projects.unbit.it/downloads/${MY_P}.tar.gz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-
-UWSGI_PLUGINS_STD=( ping cache carbon nagios rpc rrdtool
-       http ugreen signal syslog rsyslog
-       
router_{uwsgi,redirect,basicauth,rewrite,http,cache,static,memcached,redis,hash,expires,metrics}
-       {core,fast,raw,ssl}router
-       redislog mongodblog log{file,socket}
-       spooler cheaper_busyness symcall
-       transformation_{chunked,gzip,offload,tofile}
-       zergpool )
-UWSGI_PLUGINS_OPT=( alarm_{curl,xmpp} clock_{monotonic,realtime} curl_cron
-       dumbloop echo emperor_{amqp,pg,zeromq} forkptyrouter
-       geoip graylog2 legion_cache_fetch ldap log{crypto,pipe} notfound pam
-       router_{access,radius,spnego,xmldir}
-       sqlite ssi stats_pusher_statsd
-       systemd_logger transformation_toupper tuntap webdav xattr xslt zabbix )
-
-LANG_SUPPORT_SIMPLE=( cgi perl ) # plugins which can be built in the main 
build process
-LANG_SUPPORT_EXTENDED=( lua php python python_gevent ruby )
-
-# plugins to be ignored (for now):
-# cheaper_backlog2: example plugin
-# coroae: TODO
-# cplusplus: partially example code, needs explicit class
-# dummy: no idea
-# example: example plugin
-# exception_log: example plugin
-# *go*: TODO
-# *java*: TODO
-# *mono*: TODO
-# v8: TODO
-# matheval: TODO
-IUSE="apache2 +caps debug +embedded expat jemalloc json +pcre +routing +ssl 
+xml yajl yaml zeromq"
-
-for plugin in ${UWSGI_PLUGINS_STD[@]}  ; do IUSE="${IUSE} 
+uwsgi_plugins_${plugin}" ; done
-for plugin in ${UWSGI_PLUGINS_OPT[@]}  ; do IUSE="${IUSE} 
uwsgi_plugins_${plugin}" ; done
-IUSE="${IUSE} ${LANG_SUPPORT_SIMPLE[@]} ${LANG_SUPPORT_EXTENDED[@]}"
-
-REQUIRED_USE="|| ( ${LANG_SUPPORT_SIMPLE[@]} ${LANG_SUPPORT_EXTENDED[@]} )
-       uwsgi_plugins_logcrypto? ( ssl )
-       uwsgi_plugins_sslrouter? ( ssl )
-       routing? ( pcre )
-       uwsgi_plugins_emperor_zeromq? ( zeromq )
-       uwsgi_plugins_router_xmldir? ( xml )
-       uwsgi_plugins_forkptyrouter? ( uwsgi_plugins_corerouter )
-       python? ( ${PYTHON_REQUIRED_USE} )
-       python_gevent? ( python )
-       expat? ( xml )"
-
-# util-linux is required for libuuid when requesting zeromq support
-# Order:
-# 1. Unconditional
-# 2. General features
-# 3. Plugins
-# 4. Language/app support
-CDEPEND="sys-libs/zlib
-       apache2? ( www-servers/apache )
-       caps? ( sys-libs/libcap )
-       json? ( !yajl? ( dev-libs/jansson )
-               yajl? ( dev-libs/yajl ) )
-       pcre? ( dev-libs/libpcre:3 )
-       ssl? ( dev-libs/openssl )
-       xml? ( !expat? ( dev-libs/libxml2 )
-               expat? ( dev-libs/expat ) )
-       yaml? ( dev-libs/libyaml )
-       zeromq? ( net-libs/zeromq sys-apps/util-linux )
-       uwsgi_plugins_alarm_curl? ( net-misc/curl )
-       uwsgi_plugins_alarm_xmpp? ( net-libs/gloox )
-       uwsgi_plugins_curl_cron? ( net-misc/curl )
-       uwsgi_plugins_emperor_pg? ( dev-db/postgresql-base:= )
-       uwsgi_plugins_geoip? ( dev-libs/geoip )
-       uwsgi_plugins_ldap? ( net-nds/openldap )
-       uwsgi_plugins_pam? ( virtual/pam )
-       uwsgi_plugins_sqlite? ( dev-db/sqlite:3 )
-       uwsgi_plugins_router_access? ( sys-apps/tcp-wrappers )
-       uwsgi_plugins_router_spnego? ( virtual/krb5 )
-       uwsgi_plugins_rsyslog? ( app-admin/rsyslog )
-       uwsgi_plugins_systemd_logger? ( sys-apps/systemd )
-       uwsgi_plugins_webdav? ( dev-libs/libxml2 )
-       uwsgi_plugins_xslt? ( dev-libs/libxslt )
-       lua? ( dev-lang/lua )
-       perl? ( dev-lang/perl:= )
-       php? (
-               php_targets_php5-3? ( dev-lang/php:5.3[embed] )
-               php_targets_php5-4? ( dev-lang/php:5.4[embed] )
-               php_targets_php5-5? ( dev-lang/php:5.5[embed] )
-       )
-       python? ( ${PYTHON_DEPS} )
-       python_gevent? ( >=dev-python/gevent-1.0_beta2[$(python_gen_usedep 
'python2*')] )
-       ruby? ( $(ruby_implementations_depend) )"
-DEPEND="${CDEPEND}
-       virtual/pkgconfig"
-RDEPEND="${CDEPEND}
-       uwsgi_plugins_rrdtool? ( net-analyzer/rrdtool )"
-
-S="${WORKDIR}/${MY_P}"
-APXS2_S="${S}/apache2"
-APACHE2_MOD_CONF="42_mod_uwsgi-r1 42_mod_uwsgi"
-
-src_unpack() {
-       default
-}
-
-pkg_setup() {
-       python_setup
-}
-
-src_prepare() {
-       epatch \
-               "${FILESDIR}/1.1.2-threaded-php.patch"
-
-       sed -i \
-               -e "s|'-O2', ||" \
-               -e "s|'-Werror', ||" \
-               -e "s|uc.get('plugin_dir')|uc.get('plugin_build_dir')|" \
-               uwsgiconfig.py || die "sed failed"
-
-       sed -i \
-               -e "s|/lib|/$(get_libdir)|" \
-               plugins/php/uwsgiplugin.py || die "sed failed"
-}
-
-src_configure() {
-       local embedded_plugins=()
-       local plugins=()
-       local malloc_impl="libc"
-       local json="false"
-       local xml="false"
-
-       for p in ${UWSGI_PLUGINS_STD[@]} ${UWSGI_PLUGINS_OPT[@]} ; do
-               use uwsgi_plugins_${p} && embedded_plugins+=("${p}")
-       done
-       for p in ${LANG_SUPPORT_SIMPLE[@]} ; do
-               use ${p} && plugins+=("${p}")
-       done
-
-       # do not embedded any plugins
-       if ! use embedded ; then
-               plugins=( ${plugins[@]} ${embedded_plugins[@]} )
-               embedded_plugins=()
-       fi
-
-       # flatten the arrays
-       plugins=${plugins[@]}
-       embedded_plugins=${embedded_plugins[@]}
-
-       # rename some of the use flags, language plugins are always real plugins
-       plugins="${plugins/perl/psgi}"
-       plugins="${plugins/sqlite/sqlite3}"
-       embedded_plugins="${embedded_plugins/sqlite/sqlite3}"
-
-       # override defaults as requested by the user
-       use xml && (use expat && xml="expat" || xml="libxml2" )
-       use json && (use yajl && xml="yajl" || xml="jansson" )
-       use jemalloc && malloc_impl="jemalloc"
-
-       cat > "buildconf/gentoo.ini" << EOF
-[uwsgi]
-xml = ${xml}
-yaml = $(usex yaml true false)
-json = ${json}
-ssl = $(usex ssl true false)
-pcre = $(usex pcre true false)
-zeromq = $(usex zeromq true false)
-routing = $(usex routing true false)
-debug = $(usex debug true false)
-unbit = false
-malloc_implementation = ${malloc_impl}
-extras =
-plugins = ${plugins// /, }
-bin_name = uwsgi
-append_version =
-plugin_dir = /usr/$(get_libdir)/uwsgi
-plugin_build_dir = ${T}/plugins
-embedded_plugins =  ${embedded_plugins// /, }
-as_shared_library = false
-
-locking = auto
-event = auto
-timer = auto
-filemonitor = auto
-
-blacklist =
-whitelist =
-
-embed_files =
-
-embed_config =
-EOF
-       use caps || sed -i -e 's|sys/capability.h|DISABLED|' uwsgiconfig.py || 
die "sed failed"
-       use zeromq || sed -i -e 's|uuid/uuid.h|DISABLED|' uwsgiconfig.py || die 
"sed failed"
-
-       if use uwsgi_plugins_emperor_pg ; then
-               PGPV="$(best_version dev-db/postgresql-base)"
-               PGSLOT="$(get_version_component_range 1-2 
${PGPV##dev-db/postgresql-base-})"
-               sed -i \
-                       -e "s|pg_config|pg_config${PGSLOT/.}|" \
-                       plugins/emperor_pg/uwsgiplugin.py || die "sed failed"
-       fi
-}
-
-each_ruby_compile() {
-       cd "${WORKDIR}/${MY_P}"
-
-       UWSGICONFIG_RUBYPATH="${RUBY}" python uwsgiconfig.py --plugin 
plugins/rack gentoo rack_${RUBY##*/} || die "building plugin for ${RUBY} failed"
-
-       if [[ "${RUBY}" == *ruby19 ]] ; then
-               UWSGICONFIG_RUBYPATH="${RUBY}" python uwsgiconfig.py --plugin 
plugins/fiber gentoo || die "building fiber plugin for ${RUBY} failed"
-       fi
-}
-
-python_compile_plugins() {
-       local EPYV
-       local PYV
-       EPYV=${EPYTHON/.}
-       PYV=${EPYV/python}
-
-       ${PYTHON} uwsgiconfig.py --plugin plugins/python gentoo ${EPYV} || die 
"building plugin for ${EPYTHON} failed"
-
-       if use python_gevent ; then
-               ${PYTHON} uwsgiconfig.py --plugin plugins/gevent gentoo 
gevent${PYV} || die "building plugin for gevent-support in ${EPYTHON} failed"
-       fi
-}
-
-python_install_symlinks() {
-       dosym uwsgi /usr/bin/uwsgi_${EPYTHON/.}
-}
-
-src_compile() {
-       mkdir -p "${T}/plugins"
-
-       python uwsgiconfig.py --build gentoo || die "building uwsgi failed"
-
-       if use lua ; then
-               # setting LUALIB explicitly since lua is not slotted on Gentoo
-               # and uwsgi otherwise looks for lua5.1
-               UWSGICONFIG_LUALIB="lua" python uwsgiconfig.py --plugin 
plugins/lua gentoo || die "building plugin for lua failed"
-       fi
-
-       if use php ; then
-               for s in $(php_get_slots); do
-                       UWSGICONFIG_PHPDIR="/usr/$(get_libdir)/${s}" python 
uwsgiconfig.py --plugin plugins/php gentoo ${s/.} || die "building plugin for 
${s} failed"
-               done
-       fi
-
-       if use python ; then
-               python_foreach_impl python_compile_plugins
-       fi
-
-       if use ruby ; then
-               ruby-ng_src_compile
-       fi
-
-       if use apache2 ; then
-               for m in proxy_uwsgi Ruwsgi uwsgi ; do
-                       APXS2_ARGS="-c mod_${m}.c"
-                       apache-module_src_compile
-               done
-       fi
-}
-
-src_install() {
-       dobin uwsgi
-       pax-mark m "${D}"/usr/bin/uwsgi
-
-       insinto /usr/$(get_libdir)/uwsgi
-       doins "${T}/plugins"/*.so
-
-       use cgi && dosym uwsgi /usr/bin/uwsgi_cgi
-       use lua && dosym uwsgi /usr/bin/uwsgi_lua
-       use perl && dosym uwsgi /usr/bin/uwsgi_psgi
-
-       if use php ; then
-               for s in $(php_get_slots); do
-                       dosym uwsgi /usr/bin/uwsgi_${s/.}
-               done
-       fi
-
-       if use python ; then
-               python_foreach_impl python_install_symlinks
-               python_foreach_impl python_domodule uwsgidecorators.py
-       fi
-
-       if use apache2; then
-               for m in proxy_uwsgi Ruwsgi uwsgi ; do
-                       APACHE2_MOD_FILE="${APXS2_S}/.libs/mod_${m}.so"
-                       apache-module_src_install
-               done
-       fi
-
-       newinitd "${FILESDIR}"/uwsgi.initd-r3 uwsgi
-       newconfd "${FILESDIR}"/uwsgi.confd-r3 uwsgi
-       keepdir /etc/"${PN}".d
-       use uwsgi_plugins_spooler && keepdir /var/spool/"${PN}"
-}
-
-pkg_postinst() {
-       if use apache2 ; then
-               elog "Three Apache modules have been installed: 
mod_proxy_uwsgi, mod_uwsgi and mod_Ruwsgi."
-               elog "You can enable them with -D PROXY_UWSGI, -DUWSGI or 
-DRUWSGI in /etc/conf.d/apache2."
-               elog "mod_uwsgi and mod_Ruwsgi have the same configuration 
interface and define the same symbols."
-               elog "Therefore you can enable only one of them at a time."
-               elog "mod_uwsgi is commercially supported by Unbit and stable 
but a bit hacky."
-               elog "mod_Ruwsgi is newer and more Apache-API friendly but not 
commercially supported."
-               elog "mod_proxy_uwsgi is the newest and not considered ready 
for production yet."
-       fi
-
-       elog "Append the following options to the uwsgi call to load the 
respective language plugin:"
-       use cgi    && elog "  '--plugins cgi' for cgi"
-       use lua    && elog "  '--plugins lua' for lua"
-       use perl   && elog "  '--plugins psgi' for perl"
-
-       if use php ; then
-               for s in $(php_get_slots); do
-                       elog "  '--plugins ${s/.}' for ${s}"
-               done
-       fi
-
-       python_pkg_postinst() {
-               elog "  '--plugins ${EPYTHON}' for ${EPYTHON}"
-               if use python_gevent ; then
-                       if [[ ${EPYTHON} == python2* ]] ; then
-                               elog "  '--plugins 
${EPYTHON},gevent-${EPYTHON}' for gevent support in ${EPYTHON}"
-                       else
-                               elog "  (gevent is currently not support in 
${EPYTHON})"
-                       fi
-               fi
-       }
-
-       use python && python_foreach_impl python_pkg_postinst
-
-       if use ruby ; then
-               for ruby in $USE_RUBY; do
-                       use ruby_targets_${ruby} && elog "  '--plugins 
rack_${ruby/.}' for ${ruby}"
-                       if [[ "${ruby}" == *ruby19 ]] ; then
-                               elog "  '--plugins fibre' for ruby-1.9 fibres"
-                       fi
-               done
-       fi
-}

Reply via email to